<template>
  <div class="config page">
    <div class="page-wrapper">
      <h3>場地</h3>
      <div class="venues">
        <a @click="selectedVenue = 'shanghai'" :class="{active: selectedVenue == 'shanghai'}" class="block--venue">
          上海<br />
          <span class="en-sm">Shanghai</span>
        </a>
        <a @click="selectedVenue = 'malaysia'" :class="{active: selectedVenue == 'malaysia'}" class="block--venue">
          馬來西亞<br />
          <span class="en-sm">Malaysia</span>
        </a>
      </div>
      <h3>職位</h3>
      <div class="roles">
        <a @click="selectedRole = 'bartender'" :class="{active: selectedRole == 'bartender'}" class="block--role">
          調酒師<br />
          <span class="en-sm">Bar Tender</span>
        </a>
        <a @click="selectedRole = 'service'" :class="{active: selectedRole == 'service'}" class="block--role">
          服務員<br />
          <span class="en-sm">Service</span>
        </a>
      </div>
      <div class="space-lg"></div>
      <a class="btn-back btn-brand" @click="completeConfig">確定<br /><span class="en-xs">Confirm</span></a>
    </div>
  </div>
</template>

<script>

export default {
  name: 'Config',
  data () {
    return {
      selectedVenue: '',
      selectedRole: '',
    }
  },
  methods: {
    setCookie: function(cname, cvalue, exdays) {
        var d = new Date();
        d.setTime(d.getTime() + (exdays*24*60*60*1000));
        var expires = "expires="+ d.toUTCString();
        document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    },
    getCookie: function(cname) {
        var name = cname + "=";
        var decodedCookie = decodeURIComponent(document.cookie);
        var ca = decodedCookie.split(';');
        for(var i = 0; i <ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) == ' ') {
                c = c.substring(1);
            }
            if (c.indexOf(name) == 0) {
                return c.substring(name.length, c.length);
            }
        }
        return "";
    },
    completeConfig: function(){
      var vm = this;
      //cookies
      this.setCookie('Bar_hennessy_role', vm.selectedRole)
      this.setCookie('Bar_hennessy_venue', vm.selectedVenue)
      //view model
      vm.$config.role = vm.selectedRole;
      vm.$config.venue = vm.selectedVenue;
      vm.$router.push({ 
        path: '/listing' 
      })
    }
  },
  mounted: function(){
    this.setCookie('Bar_hennessy_venue', '')
    this.setCookie('Bar_hennessy_role', '')
  }
}
</script>

<style lang="sass">
</style>
